shisa_key_add(3)

NAME
shisa_key_add - API function

SYNOPSIS
#include <shisa.h>

int shisa_key_add(Shisa * dbh, const char * realm, const char * principal, const Shisa_key * key);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of the realm the principal belongs to.

const char * principal
    Name of the principal to add a new key for.

const Shisa_key * key
    Pointer to a Shisa key structure with the new key.

DESCRIPTION
Adds a complete key key to the database entry belonging to the principal PRINCIPAL@REALM, as set by principal and realm.

RETURN VALUE
Returns SHISA_OK if successful, or an error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.